package com.steering.pss.sale.order.model;




public class CrmSlmOrder {
    /**
     * ORD_PK(ORD_PK,VARCHAR,40)
     */
    private String ordPk;

    /**
     * ORD_LN_PK(ORD_PK+三位流失号)(ORD_LN_PK,VARCHAR,40)
     */
    private String ordLnPk;

    /**
     * ORD_LN_DLY_PK(ORD_LN_PK+三位流水号)(ORD_LN_DLY_PK,VARCHAR,40)
     */
    private String ordLnDlyPk;

    /**
     * 合同号(记录创建时如无合同号，形成LS+YYMMDD+三位流水号的临时合同号(ORDER_NO,VARCHAR,20)
     */
    private String orderNo;

    /**
     * 合同行号(ORD_PK向下三位流水号,确保流水号的连续性)(ORDER_SEQ,VARCHAR,3)
     */
    private String orderSeq;

    /**
     * 交货编码(ORD_PK向下三位流水号，确保流水号唯一性、连续性)(DELIVERY_NO,VARCHAR,3)
     */
    private String deliveryNo;

    /**
     * 客户合同号(CUSTM_ORDER_NO,VARCHAR,100)
     */
    private String custmOrderNo;

    /**
     * 合同类型(ORDER_TYP,VARCHAR,20)
     */
    private String orderTyp;
    
    /**
     * 合同类型(CREATE_NAME,VARCHAR,20)
     */
    private String createName;

    /**
     * 合同类型描述(ORDER_TYP_DESC,VARCHAR,20)
     */
    private String orderTypDesc;

    /**
     * 省市/区域代码(REGION_NO,VARCHAR,40)
     */
    private String regionNo;

    /**
     * 省市/区域(REGION_NAME,VARCHAR,100)
     */
    private String regionName;

    /**
     * 销售组织(国内贸易部/国际贸易部)(SALE_ORG,VARCHAR,20)
     */
    private String saleOrg;

    /**
     * 销售组织描述(SALE_ORG_DESC,VARCHAR,20)
     */
    private String saleOrgDesc;

    /**
     * 销售区域编码(SALE_AREA_NO,VARCHAR,20)
     */
    private String saleAreaNo;

    /**
     * 销售区域描述(SALE_AREA_DESC,VARCHAR,50)
     */
    private String saleAreaDesc;

    /**
     * 订货单位代码(CUSTOMER_NO,VARCHAR,10)
     */
    private String customerNo;

    /**
     * 订货单位名称(CUSTOMER_NM,VARCHAR,128)
     */
    private String customerNm;

    /**
     * 收货单位编码(RECEIV_NO,VARCHAR,100)
     */
    private String receivNo;

    /**
     * 收货单位名称(RECEIV_NM,VARCHAR,100)
     */
    private String receivNm;

    /**
     * 计价方式(1203)(PRICE_FL,VARCHAR,20)
     */
    private String priceFl;

    /**
     * 订货量(ORDER_QTY,DECIMAL,0)
     */
    private String orderQty;

    /**
     * 订货价(结算价)(BALNCE_PRICE,DECIMAL,0)
     */
    private String balncePrice;

    /**
     * 币种(CURRENCY,VARCHAR,20)
     */
    private String currency;

    /**
     * 付款方式(MNY_ASK_TYP,VARCHAR,20)
     */
    private String mnyAskTyp;

    /**
     * 是否含税 0 否 1 是(CONTAIN_TAX,VARCHAR,1)
     */
    private String containTax;

    /**
     * 订货计量单位(支、米、吨)(ORDER_UNIT,VARCHAR,20)
     */
    private String orderUnit;

    /**
     * 品名代码(PRODUCCODE,VARCHAR,20)
     */
    private String produccode;

    /**
     * 品名描述(PRODUCNAME,VARCHAR,100)
     */
    private String producname;

    /**
     * 标准代码(STD_CODE,VARCHAR,20)
     */
    private String stdCode;

    /**
     * 标准名称(STD_NAME,VARCHAR,200)
     */
    private String stdName;

    /**
     * 钢级(牌号)代码(STEELCODE,VARCHAR,10)
     */
    private String steelcode;

    /**
     * 钢级(牌号)名称(STEELNAME,VARCHAR,100)
     */
    private String steelname;

    /**
     * 标准类别代码(STD_STYLE,VARCHAR,20)
     */
    private String stdStyle;

    /**
     * 标准类别描述(STD_STYLE_DESC,VARCHAR,50)
     */
    private String stdStyleDesc;

    /**
     * 扣型代码(MODEL_CODE,VARCHAR,20)
     */
    private String modelCode;

    /**
     * 扣型描述(MODEL_DESC,VARCHAR,100)
     */
    private String modelDesc;

    /**
     * 订货规格代码(用于合同、质保书、标牌、标识)(ORDER_SPEC_CODE,VARCHAR,20)
     */
    private String orderSpecCode;

    /**
     * 订货规格描述(用于合同、质保书、标牌、标识)(ORDER_SPEC_DESC,VARCHAR,200)
     */
    private String orderSpecDesc;

    /**
     * 产品规格代码(SPEC_CODE,VARCHAR,20)
     */
    private String specCode;

    /**
     * 产品规格描述(SPEC_NAME,VARCHAR,100)
     */
    private String specName;

    /**
     * 外径(mm)(DIMATER,DECIMAL,6)
     */
    private String dimater;

    /**
     * 壁厚(mm)(HEIGHT,DECIMAL,6)
     */
    private String height;

    /**
     * 长度编码(LEN_NO,VARCHAR,20)
     */
    private String lenNo;

    /**
     * 长度描述(LEN_DESC,VARCHAR,200)
     */
    private String lenDesc;

    /**
     * 长度单位(LEN_UNIT,VARCHAR,20)
     */
    private String lenUnit;

    /**
     * 外购坯(COM_BASE_INFO:1218)(OUTS_BILLET_FL,VARCHAR,20)
     */
    private String outsBilletFl;

    /**
     * 外购管(COM_BASE_INFO:1219)(OUTS_STL_PIPE_FL,VARCHAR,20)
     */
    private String outsStlPipeFl;

    /**
     * 付款要求描述(MNY_ASK_DESC,VARCHAR,200)
     */
    private String mnyAskDesc;

    /**
     * 合同头锁定状态(ISLOCK,VARCHAR,1)
     */
    private String islock;

    /**
     * 监制说明(PRDCR_DESC,VARCHAR,500)
     */
    private String prdcrDesc;

    /**
     * MPS说明(MPS_DESC,VARCHAR,100)
     */
    private String mpsDesc;

    /**
     * 结算单位编码(STLMT_UNIT_NO,VARCHAR,10)
     */
    private String stlmtUnitNo;

    /**
     * 结算单位名称(STLMT_UNIT_NM,VARCHAR,128)
     */
    private String stlmtUnitNm;

    /**
     * 交货量差方式（绝对值;百分比)(DELVRY_RANGE_TPE,VARCHAR,20)
     */
    private String delvryRangeTpe;

    /**
     * 交货量差下限(DELVRY_RANGE_MIN,DECIMAL,5)
     */
    private String delvryRangeMin;

    /**
     * 交货量差上限(DELVRY_RANGE_MAX,DECIMAL,5)
     */
    private String delvryRangeMax;

    /**
     * 附加要求编码(ADD_ASK_NO,VARCHAR,16)
     */
    private String addAskNo;

    /**
     * 订货附加要求描述(ORDER_ADD_DESC,VARCHAR,4000)
     */
    private String orderAddDesc;

    /**
     * 产品特殊要求描述(ORDER_SPECIAL_DESC,VARCHAR,4000)
     */
    private String orderSpecialDesc;

    /**
     * 合同状态(ORDER_STS,VARCHAR,20)
     */
    private String orderSts;

    /**
     * 合同状态描述(ORDER_STS_DESC,VARCHAR,20)
     */
    private String orderStsDesc;
    
    /**
     * 合同状态(ORDER_LN_STS,VARCHAR,20)
     */
    private String orderLnSts;

    /**
     * 合同状态描述(ORDER_LN_STS_DESC,VARCHAR,20)
     */
    private String orderLnStsDesc;

    /**
     * 制造商代码(SUPPLY_UNIT_CODE,VARCHAR,20)
     */
    private String supplyUnitCode;

    /**
     * 制造商(SUPPLY_UNIT,VARCHAR,20)
     */
    private String supplyUnit;

    /**
     * 重量估算(WGT_ESTMT,DECIMAL,10)
     */
    private String wgtEstmt;

    /**
     * 交货结束日期(DELVRY_EDATE,TIMESTAMP,7)
     */
    private String delvryEdate;

    /**
     * 生效时间(EFFECT_TIME,TIMESTAMP,7)
     */
    private String effectTime;

    /**
     * 提报时间(TIBAO_TIME,TIMESTAMP,7)
     */
    private String tibaoTime;

    /**
     * CRM是否同步(0 未同步 1已同步)(IS_FLAG,VARCHAR,1)
     */
    private String isFlag;

    /**
     * 数据类型(0 新增 1修改 2删除)(DATA_STATUS,VARCHAR,1)
     */
    private String dataStatus;

    /**
     * CRM用于修改的字段(CRM_FLAG,VARCHAR,10)
     */
    private String crmFlag;

    /**
     * CRM同步时间(SYNCHRO_TIME,TIMESTAMP,7)
     */
    private String synchroTime;

	private String balncePriceSts;
    
    public String getCreateName() {
		return createName;
	}

	public void setCreateName(String createName) {
		this.createName = createName;
	}

	private String porderstatus;
    

	public String getPorderstatus() {
		return porderstatus;
	}

	public void setPorderstatus(String porderstatus) {
		this.porderstatus = porderstatus;
	}

	public String getOrdPk() {
		return ordPk;
	}

	public void setOrdPk(String ordPk) {
		this.ordPk = ordPk;
	}

	public String getOrdLnPk() {
		return ordLnPk;
	}

	public void setOrdLnPk(String ordLnPk) {
		this.ordLnPk = ordLnPk;
	}

	public String getOrdLnDlyPk() {
		return ordLnDlyPk;
	}

	public void setOrdLnDlyPk(String ordLnDlyPk) {
		this.ordLnDlyPk = ordLnDlyPk;
	}

	public String getOrderNo() {
		return orderNo;
	}

	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}

	public String getOrderSeq() {
		return orderSeq;
	}

	public void setOrderSeq(String orderSeq) {
		this.orderSeq = orderSeq;
	}

	public String getDeliveryNo() {
		return deliveryNo;
	}

	public void setDeliveryNo(String deliveryNo) {
		this.deliveryNo = deliveryNo;
	}

	public String getCustmOrderNo() {
		return custmOrderNo;
	}

	public void setCustmOrderNo(String custmOrderNo) {
		this.custmOrderNo = custmOrderNo;
	}

	public String getOrderTyp() {
		return orderTyp;
	}

	public void setOrderTyp(String orderTyp) {
		this.orderTyp = orderTyp;
	}

	public String getOrderTypDesc() {
		return orderTypDesc;
	}

	public void setOrderTypDesc(String orderTypDesc) {
		this.orderTypDesc = orderTypDesc;
	}

	public String getRegionNo() {
		return regionNo;
	}

	public void setRegionNo(String regionNo) {
		this.regionNo = regionNo;
	}

	public String getRegionName() {
		return regionName;
	}

	public void setRegionName(String regionName) {
		this.regionName = regionName;
	}

	public String getSaleOrg() {
		return saleOrg;
	}

	public void setSaleOrg(String saleOrg) {
		this.saleOrg = saleOrg;
	}

	public String getSaleOrgDesc() {
		return saleOrgDesc;
	}

	public void setSaleOrgDesc(String saleOrgDesc) {
		this.saleOrgDesc = saleOrgDesc;
	}

	public String getSaleAreaNo() {
		return saleAreaNo;
	}

	public void setSaleAreaNo(String saleAreaNo) {
		this.saleAreaNo = saleAreaNo;
	}

	public String getSaleAreaDesc() {
		return saleAreaDesc;
	}

	public void setSaleAreaDesc(String saleAreaDesc) {
		this.saleAreaDesc = saleAreaDesc;
	}

	public String getCustomerNo() {
		return customerNo;
	}

	public void setCustomerNo(String customerNo) {
		this.customerNo = customerNo;
	}

	public String getCustomerNm() {
		return customerNm;
	}

	public void setCustomerNm(String customerNm) {
		this.customerNm = customerNm;
	}

	public String getReceivNo() {
		return receivNo;
	}

	public void setReceivNo(String receivNo) {
		this.receivNo = receivNo;
	}

	public String getReceivNm() {
		return receivNm;
	}

	public void setReceivNm(String receivNm) {
		this.receivNm = receivNm;
	}

	public String getPriceFl() {
		return priceFl;
	}

	public void setPriceFl(String priceFl) {
		this.priceFl = priceFl;
	}

	public String getOrderQty() {
		return orderQty;
	}

	public void setOrderQty(String orderQty) {
		this.orderQty = orderQty;
	}

	public String getBalncePrice() {
		return balncePrice;
	}

	public void setBalncePrice(String balncePrice) {
		this.balncePrice = balncePrice;
	}

	public String getCurrency() {
		return currency;
	}

	public void setCurrency(String currency) {
		this.currency = currency;
	}

	public String getMnyAskTyp() {
		return mnyAskTyp;
	}

	public void setMnyAskTyp(String mnyAskTyp) {
		this.mnyAskTyp = mnyAskTyp;
	}

	public String getContainTax() {
		return containTax;
	}

	public void setContainTax(String containTax) {
		this.containTax = containTax;
	}

	public String getOrderUnit() {
		return orderUnit;
	}

	public void setOrderUnit(String orderUnit) {
		this.orderUnit = orderUnit;
	}

	public String getProduccode() {
		return produccode;
	}

	public void setProduccode(String produccode) {
		this.produccode = produccode;
	}

	public String getProducname() {
		return producname;
	}

	public void setProducname(String producname) {
		this.producname = producname;
	}

	public String getStdCode() {
		return stdCode;
	}

	public void setStdCode(String stdCode) {
		this.stdCode = stdCode;
	}

	public String getStdName() {
		return stdName;
	}

	public void setStdName(String stdName) {
		this.stdName = stdName;
	}

	public String getSteelcode() {
		return steelcode;
	}

	public void setSteelcode(String steelcode) {
		this.steelcode = steelcode;
	}

	public String getSteelname() {
		return steelname;
	}

	public void setSteelname(String steelname) {
		this.steelname = steelname;
	}

	public String getStdStyle() {
		return stdStyle;
	}

	public void setStdStyle(String stdStyle) {
		this.stdStyle = stdStyle;
	}

	public String getStdStyleDesc() {
		return stdStyleDesc;
	}

	public void setStdStyleDesc(String stdStyleDesc) {
		this.stdStyleDesc = stdStyleDesc;
	}

	public String getModelCode() {
		return modelCode;
	}

	public void setModelCode(String modelCode) {
		this.modelCode = modelCode;
	}

	public String getModelDesc() {
		return modelDesc;
	}

	public void setModelDesc(String modelDesc) {
		this.modelDesc = modelDesc;
	}

	public String getOrderSpecCode() {
		return orderSpecCode;
	}

	public void setOrderSpecCode(String orderSpecCode) {
		this.orderSpecCode = orderSpecCode;
	}

	public String getOrderSpecDesc() {
		return orderSpecDesc;
	}

	public void setOrderSpecDesc(String orderSpecDesc) {
		this.orderSpecDesc = orderSpecDesc;
	}

	public String getSpecCode() {
		return specCode;
	}

	public void setSpecCode(String specCode) {
		this.specCode = specCode;
	}

	public String getSpecName() {
		return specName;
	}

	public void setSpecName(String specName) {
		this.specName = specName;
	}

	public String getDimater() {
		return dimater;
	}

	public void setDimater(String dimater) {
		this.dimater = dimater;
	}

	public String getHeight() {
		return height;
	}

	public void setHeight(String height) {
		this.height = height;
	}

	public String getLenNo() {
		return lenNo;
	}

	public void setLenNo(String lenNo) {
		this.lenNo = lenNo;
	}

	public String getLenDesc() {
		return lenDesc;
	}

	public void setLenDesc(String lenDesc) {
		this.lenDesc = lenDesc;
	}

	public String getLenUnit() {
		return lenUnit;
	}

	public void setLenUnit(String lenUnit) {
		this.lenUnit = lenUnit;
	}

	public String getOutsBilletFl() {
		return outsBilletFl;
	}

	public void setOutsBilletFl(String outsBilletFl) {
		this.outsBilletFl = outsBilletFl;
	}

	public String getOutsStlPipeFl() {
		return outsStlPipeFl;
	}

	public void setOutsStlPipeFl(String outsStlPipeFl) {
		this.outsStlPipeFl = outsStlPipeFl;
	}

	public String getMnyAskDesc() {
		return mnyAskDesc;
	}

	public void setMnyAskDesc(String mnyAskDesc) {
		this.mnyAskDesc = mnyAskDesc;
	}

	public String getIslock() {
		return islock;
	}

	public void setIslock(String islock) {
		this.islock = islock;
	}

	public String getPrdcrDesc() {
		return prdcrDesc;
	}

	public void setPrdcrDesc(String prdcrDesc) {
		this.prdcrDesc = prdcrDesc;
	}

	public String getMpsDesc() {
		return mpsDesc;
	}

	public void setMpsDesc(String mpsDesc) {
		this.mpsDesc = mpsDesc;
	}

	public String getStlmtUnitNo() {
		return stlmtUnitNo;
	}

	public void setStlmtUnitNo(String stlmtUnitNo) {
		this.stlmtUnitNo = stlmtUnitNo;
	}

	public String getStlmtUnitNm() {
		return stlmtUnitNm;
	}

	public void setStlmtUnitNm(String stlmtUnitNm) {
		this.stlmtUnitNm = stlmtUnitNm;
	}

	public String getDelvryRangeTpe() {
		return delvryRangeTpe;
	}

	public void setDelvryRangeTpe(String delvryRangeTpe) {
		this.delvryRangeTpe = delvryRangeTpe;
	}

	public String getDelvryRangeMin() {
		return delvryRangeMin;
	}

	public void setDelvryRangeMin(String delvryRangeMin) {
		this.delvryRangeMin = delvryRangeMin;
	}

	public String getDelvryRangeMax() {
		return delvryRangeMax;
	}

	public void setDelvryRangeMax(String delvryRangeMax) {
		this.delvryRangeMax = delvryRangeMax;
	}

	public String getAddAskNo() {
		return addAskNo;
	}

	public void setAddAskNo(String addAskNo) {
		this.addAskNo = addAskNo;
	}

	public String getOrderAddDesc() {
		return orderAddDesc;
	}

	public void setOrderAddDesc(String orderAddDesc) {
		this.orderAddDesc = orderAddDesc;
	}

	public String getOrderSpecialDesc() {
		return orderSpecialDesc;
	}

	public void setOrderSpecialDesc(String orderSpecialDesc) {
		this.orderSpecialDesc = orderSpecialDesc;
	}

	public String getOrderSts() {
		return orderSts;
	}

	public void setOrderSts(String orderSts) {
		this.orderSts = orderSts;
	}

	public String getOrderStsDesc() {
		return orderStsDesc;
	}

	public void setOrderStsDesc(String orderStsDesc) {
		this.orderStsDesc = orderStsDesc;
	}
	

	public String getOrderLnSts() {
		return orderLnSts;
	}

	public void setOrderLnSts(String orderLnSts) {
		this.orderLnSts = orderLnSts;
	}

	public String getOrderLnStsDesc() {
		return orderLnStsDesc;
	}

	public void setOrderLnStsDesc(String orderLnStsDesc) {
		this.orderLnStsDesc = orderLnStsDesc;
	}

	public String getSupplyUnitCode() {
		return supplyUnitCode;
	}

	public void setSupplyUnitCode(String supplyUnitCode) {
		this.supplyUnitCode = supplyUnitCode;
	}

	public String getSupplyUnit() {
		return supplyUnit;
	}

	public void setSupplyUnit(String supplyUnit) {
		this.supplyUnit = supplyUnit;
	}

	public String getWgtEstmt() {
		return wgtEstmt;
	}

	public void setWgtEstmt(String wgtEstmt) {
		this.wgtEstmt = wgtEstmt;
	}

	public String getDelvryEdate() {
		return delvryEdate;
	}

	public void setDelvryEdate(String delvryEdate) {
		this.delvryEdate = delvryEdate;
	}

	public String getEffectTime() {
		return effectTime;
	}

	public void setEffectTime(String effectTime) {
		this.effectTime = effectTime;
	}

	public String getTibaoTime() {
		return tibaoTime;
	}

	public void setTibaoTime(String tibaoTime) {
		this.tibaoTime = tibaoTime;
	}

	public String getIsFlag() {
		return isFlag;
	}

	public void setIsFlag(String isFlag) {
		this.isFlag = isFlag;
	}

	public String getDataStatus() {
		return dataStatus;
	}

	public void setDataStatus(String dataStatus) {
		this.dataStatus = dataStatus;
	}

	public String getCrmFlag() {
		return crmFlag;
	}

	public void setCrmFlag(String crmFlag) {
		this.crmFlag = crmFlag;
	}

	public String getSynchroTime() {
		return synchroTime;
	}

	public void setSynchroTime(String synchroTime) {
		this.synchroTime = synchroTime;
	}

	private String fstDraweeUnit;

	public String getFstDraweeUnit() {
		return fstDraweeUnit;
	}

	public void setFstDraweeUnit(String fstDraweeUnit) {
		this.fstDraweeUnit = fstDraweeUnit;
	}

	public String getBalncePriceSts() {
		return balncePriceSts;
	}

	public void setBalncePriceSts(String balncePriceSts) {
		this.balncePriceSts = balncePriceSts;
	}

	// 数据状态(0 合同头 1合同行 2交货行)
	private String dataFlag ="";

	public String getDataFlag() {
		return dataFlag;
	}

	public void setDataFlag(String dataFlag) {
		this.dataFlag = dataFlag;
	}

	private String keepType= "";

	public String getKeepType() {
		return keepType;
	}

	public void setKeepType(String keepType) {
		this.keepType = keepType;
	}

	/**
	 * 合同头状态
	 */
	private String orderHeadSts;

	/**
	 * 合同头状态描述
	 */
	private String orderHeadStsDesc;

	public String getOrderHeadSts() {
		return orderHeadSts;
	}

	public void setOrderHeadSts(String orderHeadSts) {
		this.orderHeadSts = orderHeadSts;
	}

	public String getOrderHeadStsDesc() {
		return orderHeadStsDesc;
	}

	public void setOrderHeadStsDesc(String orderHeadStsDesc) {
		this.orderHeadStsDesc = orderHeadStsDesc;
	}
}